aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorB. Watson <urchlay@slackware.uk>2023-07-01 04:36:30 -0400
committerB. Watson <urchlay@slackware.uk>2023-07-01 04:36:30 -0400
commitdbd66d1963b826d23f7093aa771bead1fe39b3ab (patch)
tree3530ba53a17bc2a6480890e5a98f0eeae6c9e4cb
parentba63bfe1d5e352ee12bf186261229bee1604b319 (diff)
downloadsbo-maintainer-tools-dbd66d1963b826d23f7093aa771bead1fe39b3ab.tar.gz
sbopkglint: test for bad files in perl builds.0.9.0
-rw-r--r--TODO2
-rw-r--r--sbopkglint.d/85-perl.t.sh15
2 files changed, 15 insertions, 2 deletions
diff --git a/TODO b/TODO
index ea9fcf8..0760c57 100644
--- a/TODO
+++ b/TODO
@@ -1,8 +1,6 @@
TODO: sbopkglint reports bad files in doc dir twice.
TODO: sbopkglint should check for stuff like /usr/lib/lv2 vs. /usr/lib64/lv2,
according to ARCH. see audio/helm, v0.9.0, BUILD=1
-TODO: sbopkglint should check for perllocal.pod, .packlist, *.bs
- (see perl template).
TODO: sbopkglint could complain if the SlackBuild sets SLKCFLAGS
but there's no native code.
diff --git a/sbopkglint.d/85-perl.t.sh b/sbopkglint.d/85-perl.t.sh
new file mode 100644
index 0000000..aba9e62
--- /dev/null
+++ b/sbopkglint.d/85-perl.t.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# sbopkglint test, must be sourced by sbopkglint (not run standalone).
+
+# PKG, PRGNAM, VERSION, ARCH are set by sbopkglint. also the current
+# directory is the root of the installed package tree.
+
+#######################################################################
+# the SBo perl template has this line:
+# find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+# this just checks that the files that are supposed to be removed,
+# really are removed.
+
+find_warnfiles "forbidden files:" \
+ -name perllocal.pod -o -name ".packlist" -o -name "*.bs"